package com.muyu.domain.rep;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TableInfoResp {

    /**
     * id
     */
    private Long id;

    /**
     * 表名称/数据库
     */
    private String tableName;


    //数据源主键
    private Long basicId;

    /**
     * 表备注
     */
    private String tableRemark;

    /** 数据量 */
    private Long dataNum;

    /** 是否核心 'Y'是 'N'不是 */
    private String isCenter;

    /**
     * 子内容
     */
    private List<TableInfoResp> children;
}
