package com.muyu.cloud.etl.controller;

import com.muyu.cloud.etl.service.DataValueService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.DataValue;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/DataValue")
public class DataValueController {
    @Autowired
    private DataValueService dataValueService;

    //获取字段值
    @PostMapping("/findTableValue")
    public Result findTableValue(@RequestParam("basicId") Long basicId,@RequestParam("sql") String sql) {
       List<List<DataValue>>  list= dataValueService.findTableValue(basicId,sql);
       return Result.success(list);
    }

    //获取字段值
    @PostMapping("/findTableValueList")
    public Result findTableValueList(@RequestParam("basicId") Long basicId,@RequestParam("tableName") String tableName ) {
    List<DataValue> list= dataValueService.findTableValueList(basicId,tableName);
        return Result.success(list);
    }


}
